.cmp-feature-comparison
  %table
    %thead
      %tr
        %th.text-left
          .feature-table-title
            Compare Plans
          .feature-table-disclaimer
            ** Available on self-managed plans only

        -# this logic block is copied and modified from the price matrix file
        - variant = 'control'
        - control_pricing_plans = data.pricing.plans.dup
        -# Must use .dup otherwise you're referencing the same object when copying the variable.
        - control_plans = control_pricing_plans
        - control_plans.each_with_index do |plan_control, index|
          - free = plan_control.id == 'free'
          %th{ class: "text-center feature-th-#{plan_control.id}"}
            .feature-table-plan-title= plan_control.title
            .feature-table-plan-price $#{plan_control.monthly_price} /user/month
            %div{ class: "feature-table-plan-button btn cta-btn start-#{plan_control.id}", data: { target: "##{plan_control.id}-modal-#{variant}", toggle: 'modal' } }= free ? 'Start now' : 'Buy now'

    -# BEGIN FEATURE COMPARISON TABLE BODY
    - data.features_pricing_comparison.categories.each do |category|
      %tbody.feature-list.feature-list-group
        %tr.feature-group-title
          %td #{category.category_title}
        - category.features.each do |feature|
          %tr
            %td.feature-in-list.text-left
              .feature-name
                - if feature.link
                  = link_to "#{feature.feature_title}", feature.link
                - else
                  = feature.feature_title
                - if feature.gitlab_com == false
                  &nbsp;**
            %td.text-center
              - if feature.gitlab_core == true
                = partial "/images/icons/slp-checkmark.svg"
            %td.text-center
              - if feature.gitlab_premium == true
                = partial "/images/icons/slp-checkmark.svg"
            %td.text-center
              - if feature.gitlab_ultimate == true
                = partial "/images/icons/slp-checkmark.svg"
